Subject: Re: [PATCH 5/7] CAN: Add virtual CAN netdevice driver

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 2 Oct 2007 13:46:21 -0300

Em Tue, Oct 02, 2007 at 05:07:40PM +0200, Oliver Hartkopp escreveu:
> Arnaldo Carvalho de Melo wrote:
>> Em Tue, Oct 02, 2007 at 03:10:11PM +0200, Urs Thuermann escreveu:
>>   
>>> +
>>> +/* To be moved to linux/can/dev.h */
>>>     
>>
>> Is this comment still valid? If so can this move happen now? If not I
>> think it would be better to stick a "FIXME: " just before it, no?
>>
>>   
>
> Bringing all the current available CAN network device drivers into Kernel 
> style qualitiy is a TODO for the time after the PF_CAN core is mainlined.
>
> When more than this single vcan CAN netdev driver is part of the Kernel it 
> makes sense to put several things (like the common configuration interface 
> and commonly used library funtions for CAN drivers) into linux/can/dev.h. 
> And at that time this currently local DEBUG definition should go there 
> togehther with the other stuff.
>
> Please think of all the comments, if we created a single dev.h file with a 
> single DEBUG definition used by a single vcan.c file ;-)

Don't get to defensive. You know a lot more than me about the code you
worked for that many years. Its just that it looked suspicious for a
casual reviewer. :-)

- Arnaldo